System 2.0.0.0 4.0.0.0 System.Enum

The existing class has been extended to provide support for International Resource Identifiers (IR) based on RFC 3987. Current users will not see any change from the .NET Framework 2.0 behavior unless they specifically enable IRI. This ensures application compatibility with prior versions of the .NET Framework.

The Internationalized Domain Name (IDN) attribute only controls IDN processing. All other IRI processing (character normalization, for example) is always performed by default.

The configuration setting for the will be read once when the first class is constructed. Changes to configuration settings after that time are ignored.

For more information on IRI support, see the Remarks section for the class.

Provides the possible values for the configuration setting of the in the namespace.

- Field
  2.0.0.0
  4.0.0.0
  System.UriIdnScope

  This value will convert any Unicode domain names to their Punycode equivalents (IDN names).

- Field
  2.0.0.0
  4.0.0.0
  System.UriIdnScope

  This value will convert all external Unicode domain names to use the Punycode equivalents (IDN names). In this case to handle international names on the local Intranet, the DNS servers that are used for the Intranet should support Unicode names.

- Field
  2.0.0.0
  4.0.0.0
  System.UriIdnScope

  This value will not convert any Unicode domain names to use Punycode. This is the default value which is consistent with the .NET Framework 2.0 behavior.